#!/usr/bin/env python

"""The setup script."""

from setuptools import setup, find_packages

with open('README.rst') as readme_file:
    readme = readme_file.read()

with open('HISTORY.rst') as history_file:
    history = history_file.read()

requirements = ['requests', 'pandas', 'six', 'decorator', 'openpyxl', 'xlrd'],

setup_requirements = [ ]

test_requirements = [ ]

setup(
    author="Brian Bolt",
    author_email='brian.bolt@boltengineered.com',
    python_requires='>=3.5',
    classifiers=[
        'Development Status :: 2 - Pre-Alpha',
        'Intended Audience :: Developers',
        'License :: OSI Approved :: GNU General Public License v3 (GPLv3)',
        'Natural Language :: English',
        'Programming Language :: Python :: 3',
        'Programming Language :: Python :: 3.5',
        'Programming Language :: Python :: 3.6',
        'Programming Language :: Python :: 3.7',
        'Programming Language :: Python :: 3.8',
    ],
    description="ACAS API Client",
    entry_points={
        'console_scripts': [
            'acasclient=acasclient.cli:main',
        ],
    },
    install_requires=requirements,
    license="GNU General Public License v3",
    long_description=readme + '\n\n' + history,
    include_package_data=True,
    keywords='acasclient',
    name='acasclient',
    packages=find_packages(include=['acasclient', 'acasclient.*']),
    setup_requires=setup_requirements,
    test_suite='tests',
    tests_require=test_requirements,
    url='https://github.com/mcneilco/acasclient',
    version='2024.2.0',
    zip_safe=False,
)
